<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/soc/platform/soc_xwr16xx_mss.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_9b3c509d59256edccfca8ec85704cf01.html">soc</a></li><li class="navelem"><a class="el" href="dir_f77b65d18e2cacd09a944ebdf18d5209.html">platform</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">soc_xwr16xx_mss.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the XWR16xx MSS platform specific wrapper for the SOC module.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;<a class="el" href="soc_8h.html">ti/drivers/soc/soc.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="soc__internal_8h.html">ti/drivers/soc/include/soc_internal.h</a>&gt;</code><br />
<code>#include &lt;ti/common/sys_common.h&gt;</code><br />
<code>#include &lt;<a class="el" href="soc__mpu_8h.html">ti/drivers/soc/include/soc_mpu.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="soc__xwr16xx_8h.html">ti/drivers/soc/include/soc_xwr16xx.h</a>&gt;</code><br />
<code>#include &lt;ti/drivers/soc/include/reg_toprcm_xwr16xx.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/DebugP.h&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:aa1f24f65ddf704283f2580d00876a978"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1f24f65ddf704283f2580d00876a978"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__xwr16xx__mss_8c.html#aa1f24f65ddf704283f2580d00876a978">SOC_MPU_ALIGN</a>(x,  y)&#160;&#160;&#160;((x) &amp; ~((y) - 1U))</td></tr>
<tr class="memdesc:aa1f24f65ddf704283f2580d00876a978"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alignment macro for MPU programming purposes. <br /></td></tr>
<tr class="separator:aa1f24f65ddf704283f2580d00876a978"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa91476f009e1d055fb726a15a8966724"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa91476f009e1d055fb726a15a8966724">SOC_mpu_config</a> (void)</td></tr>
<tr class="separator:gaa91476f009e1d055fb726a15a8966724"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7adba3f2efc14ca784b37d6fee7ccfde"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7adba3f2efc14ca784b37d6fee7ccfde">SOC_unhaltDSS</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga7adba3f2efc14ca784b37d6fee7ccfde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae8c901d0f6d8f930ea3ba3f858615da7"><td class="memItemLeft" align="right" valign="top">static uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae8c901d0f6d8f930ea3ba3f858615da7">SOC_getL3RAMBankSize</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a> *ptrSOCDriverMCB, int32_t *errCode)</td></tr>
<tr class="separator:gae8c901d0f6d8f930ea3ba3f858615da7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga54082d44288a094e19c47caab2dcdd01"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab552b628915d3eeae9497435814f4874">SOC_TranslateAddr_LUT_Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga54082d44288a094e19c47caab2dcdd01">SOC_getInAddr_LUTType</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga14e1cbcdd3d2145c449ce854ff5b9021">SOC_TranslateAddr_Dir</a> direction)</td></tr>
<tr class="separator:ga54082d44288a094e19c47caab2dcdd01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga64922a2f200caec6a0e1b5da9154909a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab552b628915d3eeae9497435814f4874">SOC_TranslateAddr_LUT_Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga64922a2f200caec6a0e1b5da9154909a">SOC_getOutAddr_LUTType</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga14e1cbcdd3d2145c449ce854ff5b9021">SOC_TranslateAddr_Dir</a> direction)</td></tr>
<tr class="separator:ga64922a2f200caec6a0e1b5da9154909a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa105d6f345bbdd7753b76831078db51f"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa105d6f345bbdd7753b76831078db51f">SOC_waitBSSPowerUp</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:gaa105d6f345bbdd7753b76831078db51f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga953aabc650930f4aebaf2e2c31dccd0e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga953aabc650930f4aebaf2e2c31dccd0e">SOC_microDelay</a> (uint32_t delayInMircoSecs)</td></tr>
<tr class="separator:ga953aabc650930f4aebaf2e2c31dccd0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad20a40feecb898ae999fe3e332c9db51"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad20a40feecb898ae999fe3e332c9db51">SOC_setPeripheralClock</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, <a class="el" href="soc__xwr14xx_8h.html#ac37c9ec35f819b19d0a6349419c5d34d">SOC_ModuleId</a> module, <a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0375130ab6199735746366b301d4c361">SOC_PeripheralClkSource</a> clkSource, uint8_t clkDivisor, int32_t *errCode)</td></tr>
<tr class="separator:gad20a40feecb898ae999fe3e332c9db51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaab4a41bd0d2175c9ba7020e021c83072"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaab4a41bd0d2175c9ba7020e021c83072">SOC_initPeripheralRam</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, <a class="el" href="soc__xwr14xx_8h.html#ac37c9ec35f819b19d0a6349419c5d34d">SOC_ModuleId</a> module, int32_t *errCode)</td></tr>
<tr class="separator:gaab4a41bd0d2175c9ba7020e021c83072"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga851accb806706fcc89f4bd13a3b31d66"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga851accb806706fcc89f4bd13a3b31d66">SOC_deviceInit</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a> *ptrSOCDriverMCB, int32_t *errCode)</td></tr>
<tr class="separator:ga851accb806706fcc89f4bd13a3b31d66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadc65958c8fd8f097ec0c1399f55eb412"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadc65958c8fd8f097ec0c1399f55eb412">SOC_deviceDeinit</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a> *ptrSOCDriverMCB, int32_t *errCode)</td></tr>
<tr class="separator:gadc65958c8fd8f097ec0c1399f55eb412"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga42ee388910478bc7fc1d772d6669970e"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga42ee388910478bc7fc1d772d6669970e">SOC_isSecureDevice</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, int32_t *errCode)</td></tr>
<tr class="separator:ga42ee388910478bc7fc1d772d6669970e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1ef5f7d2063b64f205654944f2efa992"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1ef5f7d2063b64f205654944f2efa992">SOC_controlSecureFirewall</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gaf2d620ca8ed5bbdf09c68940b05fd280">SOC_Handle</a> handle, uint32_t firewallModulesBitmap, uint8_t control, int32_t *errCode)</td></tr>
<tr class="separator:ga1ef5f7d2063b64f205654944f2efa992"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:adb58ef7aa013aed55eb01396c12d88be"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga40305c7d9c333ec21d0581923b1558d1">SOC_HwAttrib</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="soc__xwr16xx__mss_8c.html#adb58ef7aa013aed55eb01396c12d88be">gSOCHwAttrib</a></td></tr>
<tr class="memdesc:adb58ef7aa013aed55eb01396c12d88be"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Hardware Attributes.  <a href="#adb58ef7aa013aed55eb01396c12d88be">More...</a><br /></td></tr>
<tr class="separator:adb58ef7aa013aed55eb01396c12d88be"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is the XWR16xx MSS platform specific wrapper for the SOC module. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="adb58ef7aa013aed55eb01396c12d88be"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga40305c7d9c333ec21d0581923b1558d1">SOC_HwAttrib</a> gSOCHwAttrib</td>
        </tr>
      </table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div><div class="line">{</div><div class="line">    SOC_XWR16XX_MSS_RCM_BASE_ADDRESS,       </div><div class="line">    SOC_XWR16XX_MSS_TOP_RCM_BASE_ADDRESS,   </div><div class="line">    SOC_XWR16XX_MSS_GPCFG_BASE_ADDRESS,     </div><div class="line">    SOC_XWR16XX_MSS_DSSREG_BASE_ADDRESS,    </div><div class="line">    SOC_XWR16XX_MSS_DSSREG2_BASE_ADDRESS    </div><div class="line">}</div></div><!-- fragment -->
<p>SOC Hardware Attributes. </p>
<p>This is the global SOC hardware attributes which are defined for each supported SOC.</p>
<p>The structure describes the hardware attributes which is needed to initialize and setup the SOC Driver. This is defined for the XWR16xx MSS and should NOT be changed </p>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
